#!/usr/bin/perl
#
# This script writes out doubled translations i.e.
#
# Save
# 	Shrani          :: place and file of translation
#       Pospravi        :: -||-
#       Save            :: -||-
#
# It's useful for longer strings, espacialy when they're
# translated in different ways. It works on .oo file (after
# you run integrate.sh!)
# With a -b switch you force it to not consider keybindings (~). 
# Without -b switch it does no difference between ~Save and S~ave!
#

use Getopt::Std;

getopts ("bh", \%opt);

if ( $opt{"h"} ) {
	print "Usage: double_trans.pl [-h] [-b] Ime_datoteke\n" ;
	print "-h ta izpis\n" ;
	print "-b izklopi bliznjice\n";
	exit 1 ;
}

$ex_kraj = 1 if $opt{"b"} ;

while ( <> ) {
#	print $_ ;
	s/~//g if $ex_kraj ;
	@original = split ( /\t/ ) ;
	$in_prevod = <> ;
#	print $in_prevod ;
	$in_prevod =~ s/~//g if $ex_kraj;
	@prevod = split ( /\t/ , $in_prevod ) ;
	if ( $original[10] ne "" ) {
		$orig_modul{$original[10]} = $original[0]."\\".$original[1] ;
		$orig_id{$original[10]} ++ ;
		$prevodi{$original[10]}{$prevod[10]}{$original[0]."\\".$original[1]}++;
	}
	if ( $original[11] ne "" ) {
		$orig_modul{$original[11]} = $original[0]."\\".$original[1] ;
		$orig_id{$original[11]} ++ ;
		$prevodi{$original[11]}{$prevod[11]}{$original[0]."\\".$original[1]}++;
	}
	if ( $original[12] ne "" ) {
		$orig_modul{$original[12]} = $original[0]."\\".$original[1] ;
		$orig_id{$original[12]} ++ ;
		$prevodi{$original[12]}{$prevod[12]}{$original[0]."\\".$original[1]};
	}
	if ( $original[13] ne "" ) {
		$orig_modul{$original[13]} = $original[0]."\\".$original[1] ;
		$orig_id{$original[13]} ++ ;
		$prevodi{$original[13]}{$prevod[13]}{$original[0]."\\".$original[1]};
	}
}

foreach $id (sort (keys %orig_id)) {
	if (( $orig_id{$id} > 1 )) {
		%pr = %{$prevodi{$id}} ;
		if ( scalar (%pr) > 1 ) {
#			print ( "$orig_modul{$id}\n" );
			print "$id \n" ;
			
			foreach $prevod (keys %pr) {
#				print "\t$prevod  ($pr{$prevod}x)\n" ;
				%pos = %{$pr{$prevod}};
				foreach $position (sort keys (%pos)) {
					print "\t$prevod :: " ;
					print "$position\n " ;
					
				}
#				print "\t$prevod\n" ;
			} 
			print "\n" ;
		}
	}
}
