#!/bin/bash
# ****************************************************************************
#
#    Copyright (C) 2002 Matja"z Godec <gody@agenda.si>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#****************************************************************************

#
# integrate release
#
if [ ! -d "${1}-release" ]; then
	echo "Usage integrate.sh RELEASE_NUM FILE_NAME"
	exit
fi

if [ -z "${2}" ]; then
	echo "Usage integrate.sh RELEASE_NUM FILE_NAME"
	exit
fi


LIST=`cat sekcije.lst`

> $1.$2

for i in $LIST; do
	cat ${1}-release/$i.oo >> $1.$2
done

