#!/usr/bin/python

import sys,os,re

if len(sys.argv) < 2:
    sys.exit (1)

filename = sys.argv[1]

# Read file in
fin = open (filename, "r")
lines = fin.readlines ()
fin.close ()

os.system ("mkdir -p fixbak")
os.system ("cp %s fixbak" % filename)

fout = open (filename, "w")

# Parse file
remember = None
correct = None
for line in lines:
    if not remember:
        if line == "msgid \"-\"\n":
            remember = line
        else:
            fout.write (line)
    else:
        if line == "msgstr \"-\"\n" or line == "msgstr \"\"\n":
            remember += line
        elif line == "\n":
            remember += line
        elif re.match (r'^msgid \".*\"$', line):
            correct = line
        elif correct and re.match (r'^msgstr \".*\"$', line):
            correct += line
        else:
            if correct:
                fout.write (correct + "\n")
            else:
                fout.write (remember)
            fout.write (line)
            remember = None
            correct = None

# If it's on the last entry
if remember:
    if correct:
        fout.write (correct + "\n")
    else:
        fout.write (remember)

fout.close ()

            








