#!/bin/bash
# ****************************************************************************
#
#    Copyright (C) 2002 Matja"z Godec <gody@agenda.si>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#****************************************************************************

#
# From to
#

if [ ! -d "${1}-work" ]; then
	echo "Usage make_release.sh REL_NUM"
	exit
fi

mkdir ${1}-release

LIST=`ls ${1}-work/*.po`

for i in $LIST; do
	FILE=`basename $i`
	FILE=`echo $FILE | sed s/.po$//`
	echo $FILE
	./po2oo.pl ${1}-oo/$FILE.oo ${1}-work/$FILE.po > ${1}-release/$FILE.oo
done

